Subject: Re: [RFC 00/10] Freescale DPAA B/QMan drivers

From: Greg KH <[email-masked]>
Date: Wed, 4 Feb 2015 18:29:24 -0800

On Wed, Feb 04, 2015 at 04:16:30PM -0600, Emil Medve wrote:
> Hello Greg,
> 
> 
> Thanks for looking at this
> 
> On 02/04/2015 12:40 PM, Greg KH wrote:
> > On Wed, Feb 04, 2015 at 08:48:32AM -0600, Emil Medve wrote:
> >>
> >> Hello,
> >>
> >>
> >> This is the first attempt to publish the Freescale DPAA B/QMan drivers. They are
> >> not to be applied yet.  At this stage, this is more or less the drivers from the
> >> Freescale PowerPC SDK roughly squashed and split in a sequence of component
> >> patches. They still needs some work and cleanup before we expect to have them
> >> applied, but we appreciate early feedback
> > 
> > First off, why put these in staging?  What's keeping them from being
> > merged "properly"?
> 
> I was thinking they'll go into drivers/soc. Past some cleanup and some
> integration issues, nothing holds them back

Then spend the day or so to do that work and avoid staging entirely!

> > Secondly, if they are going to go into staging, then I need a TODO file
> > in the directory of the driver listing what needs to be done to move the
> > code out of staging, and who is responsible for the code.  Ideally a
> > MAINTAINERS entry as well.
> 
> Will get both lists, say, for the next post
> 
> > And finally, staging drivers should be self-contained, your .h files:
> > 
> >>  include/linux/fsl_bman.h                        |  517 +++++
> >>  include/linux/fsl_qman.h                        | 1955 +++++++++++++++++
> > 
> > Need to be in drivers/staging/<DRIVER_DIR>/ not in include/linux/
> > espeically as nothing outside of your driver needs these .h files.
> 
> These files contain the public interface(s) used by other devices
> connected to the B/QMan: FMan, PME, RMan, DCE, etc. Every driver/piece
> of code in need of a HW queue (QMan) or HW buffer allocator (BMan) will
> use these files

Ok, but you can't have in-kernel code depend on staging tree code,
sorry, so if you want it in staging, it has to be self-contained.  Yet
another reason for you to clean it up properly and merge it to the
correct place first.

good luck,

greg k-h